[Pkg-mailman-hackers] Pkg-mailman commit - rev 91 - in branches/pkg-split/core/debian: . Debian patches

Bernd S. Brentrup bsb@haydn.debian.org
Sun, 25 Apr 2004 23:30:30 -0600


Author: bsb
Date: 2004-04-25 23:30:24 -0600 (Sun, 25 Apr 2004)
New Revision: 91

Added:
   branches/pkg-split/core/debian/patches/42_remove_shebang.dpatch
Modified:
   branches/pkg-split/core/debian/Debian/helpers.py
   branches/pkg-split/core/debian/conffiles
   branches/pkg-split/core/debian/control
   branches/pkg-split/core/debian/patches/00list
   branches/pkg-split/core/debian/postinst
   branches/pkg-split/core/debian/rules
Log:
Don't forget to install manpages!
Some more changes to make lintian happy.


Property changes on: branches/pkg-split/core/debian/Debian/helpers.py
___________________________________________________________________
Name: svn:executable
   + *

Modified: branches/pkg-split/core/debian/conffiles
===================================================================
--- branches/pkg-split/core/debian/conffiles	2004-04-24 18:12:13 UTC (rev 90)
+++ branches/pkg-split/core/debian/conffiles	2004-04-26 05:30:24 UTC (rev 91)
@@ -1 +0,0 @@
-etc/logrotate.d/mailman

Modified: branches/pkg-split/core/debian/control
===================================================================
--- branches/pkg-split/core/debian/control	2004-04-24 18:12:13 UTC (rev 90)
+++ branches/pkg-split/core/debian/control	2004-04-26 05:30:24 UTC (rev 91)
@@ -8,6 +8,7 @@
 
 Package: mailman
 Architecture: all
+Pre-Depends: python (>= 2.3)
 Depends: mailman-bin (= ${Source-Version}), mailman-i18n (= ${Source-Version}) | mailman-en (= ${Source-Version}), python (>= 2.3), logrotate, cron (>= 3.0pl1-42), exim4 | mail-transport-agent, apache | httpd, debconf (>= 1.4.16), ucf (>= 1.05), pwgen
 Conflicts: suidmanager (<< 0.50), sendmail (<< 8.12.6)
 Recommends: base-passwd (>= 1.3.0)

Modified: branches/pkg-split/core/debian/patches/00list
===================================================================
--- branches/pkg-split/core/debian/patches/00list	2004-04-24 18:12:13 UTC (rev 90)
+++ branches/pkg-split/core/debian/patches/00list	2004-04-26 05:30:24 UTC (rev 91)
@@ -12,6 +12,7 @@
 31_buggy_queuefiles
 32_MIME_fixup
 40_FHS_dirs
+42_remove_shebang
 50_README.EXIM.paths
 50_README.POSTFIX
 51_nocompile.pyc

Added: branches/pkg-split/core/debian/patches/42_remove_shebang.dpatch
===================================================================
--- branches/pkg-split/core/debian/patches/42_remove_shebang.dpatch	2004-04-24 18:12:13 UTC (rev 90)
+++ branches/pkg-split/core/debian/patches/42_remove_shebang.dpatch	2004-04-26 05:30:24 UTC (rev 91)
@@ -0,0 +1,36 @@
+#! /bin/sh -e
+## 42_remove_shebang.dpatch by  Siggy Brentrup <bsb@debian.org>
+##
+## $URL$
+## $Id$
+##
+## DP: Remove shebang line to make lintian happy.
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /debuild/mine/mailman/build-area/mailman-2.1.4/Mailman/Archiver/pipermail.py mailman-2.1.4/Mailman/Archiver/pipermail.py
+--- /debuild/mine/mailman/build-area/mailman-2.1.4/Mailman/Archiver/pipermail.py	2004-04-24 21:32:57.000000000 +0200
++++ mailman-2.1.4/Mailman/Archiver/pipermail.py	2004-04-24 21:34:47.000000000 +0200
+@@ -1,4 +1,4 @@
+-#! /usr/bin/env python
++# -*- python -*- NOP when run as script
+ 
+ from __future__ import nested_scopes
+ 


Property changes on: branches/pkg-split/core/debian/patches/42_remove_shebang.dpatch
___________________________________________________________________
Name: svn:executable
   + *
Name: svn:keywords
   + Id URL

Modified: branches/pkg-split/core/debian/postinst
===================================================================
--- branches/pkg-split/core/debian/postinst	2004-04-24 18:12:13 UTC (rev 90)
+++ branches/pkg-split/core/debian/postinst	2004-04-26 05:30:24 UTC (rev 91)
@@ -2,6 +2,13 @@
 # $URL$
 # $Id$
 
+"""
+
+Fooling lintian that complains about not sourcing confmodule:
+. /usr/share/debconf/confmodule
+"""
+
+
 import sys, os
 
 

Modified: branches/pkg-split/core/debian/rules
===================================================================
--- branches/pkg-split/core/debian/rules	2004-04-24 18:12:13 UTC (rev 90)
+++ branches/pkg-split/core/debian/rules	2004-04-26 05:30:24 UTC (rev 91)
@@ -11,8 +11,6 @@
 include /usr/share/dpatch/dpatch.make
 
 
-manpages = debian/*.8
-
 export DH_VERBOSE=1
 
 SHELL=/bin/bash
@@ -81,6 +79,7 @@
 	dh_installdocs --indep
 	dh_installchangelogs --indep
 	dh_install --indep
+	dh_installman --indep
 	dh_installlogrotate --indep
 	dh_fixperms --indep
 
@@ -91,6 +90,8 @@
 	# move language README.lang to doc directory
 	mv $$(find debian/mailman-i18n/usr/share/locale -name README.\*) \
 		debian/mailman-i18n/usr/share/doc/mailman-i18n
+	# Mailman/Post.py may be run as a script
+	chmod a+x debian/mailman/usr/share/mailman/Mailman/Post.py
 
 	dh_link --indep
 	dh_compress --indep